Returns detailed information for a specified congressional member.

GET /member/:bioguideId

Example Request

/v3/member/L000174
::

{
    "member": {
        "addressInformation": {
            "city": "Washington",
            "district": "DC",
            "officeAddress": "437 Russell Senate Office Building Washington, DC 20510",
            "officeTelephone": {
                "phoneNumber": "(202) 224-4242"
            },
            "zipCode": 20510
        },
        "birthYear": "1940",
        "cosponsoredLegislation": {
            "count": 7465,
            "url": "https://api.congress.gov/v3/member/L000174/cosponsored-legislation"
        },
        "currentMember": true,
        "deathYear": null,
        "depiction": {
            "attribution": "<a href=\"http://www.senate.gov/artandhistory/history/common/generic/Photo_Collection_of_the_Senate_Historical_Office.htm\">Courtesy U.S. Senate Historical Office</a>",
            "imageUrl": "https://www.congress.gov/img/member/l000174_200.jpg"
        },
        "directOrderName": "Patrick J. Leahy",
        "district": null,
        "firstName": "Patrick",
        "honorificName": "Mr.",
        "identifiers": {
            "bioguideId": "L000174"
        },
        "invertedOrderName": "Leahy, Patrick J.",
        "lastName": "Leahy",
        "leadership": [
          {
            "congress": 117,
            "current": true,
            "type": "President Pro Tempore"
          }
        ],
        "middleName": "",
        "nickName": "",
        "officialWebsiteUrl": "https://www.leahy.senate.gov/",
        "party": "Democratic",
         "partyHistory": [
    {
        "endYear": "",
        "partyCode": "D",
        "partyName": "Democrat",
        "startYear": 1975
    }
],
        "sponsoredLegislation": {
            "count": 1753,
            "url": "https://api.congress.gov/v3/member/L000174/sponsored-legislation"
        },
        "state": "Vermont",
        "suffixName": null,
        "terms": [
            {
                "chamber": "Senate",
                "congress": 117,
                "memberType": "Senator",
                "stateCode": "VT",
                "stateName": "Vermont",
                "termBeginYear": 2021,
                "termEndYear": null
            }
        ],
        "updateDate": "2022-05-17T18:44:02Z"
    },
    "request": {
        "bioguideId": "l000174",
        "contentType": "application/json",
        "format": "json"
    }
}
Language
Credentials
Query
Response
Click Try It! to start a request and see the response here!